# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "blazen-core"
version = "0.1.150"
authors = ["Zach Handley <zachhandley@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core workflow engine for Blazen - event-driven, async, pausable workflows"
readme = false
license = "AGPL-3.0-or-later"
repository = "https://github.com/ZachHandley/Blazen"
resolver = "2"

[features]
distributed = []
persist = ["dep:blazen-persist"]
telemetry = ["dep:blazen-telemetry"]

[lib]
name = "blazen_core"
path = "src/lib.rs"

[[test]]
name = "workflow_integration"
path = "tests/workflow_integration.rs"

[dependencies.anyhow]
version = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.blazen-events]
version = "0.1.150"

[dependencies.blazen-macros]
version = "0.1.150"

[dependencies.blazen-persist]
version = "0.1.150"
optional = true

[dependencies.blazen-telemetry]
version = "0.1.150"
features = ["history"]
optional = true

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.dashmap]
version = "6"

[dependencies.futures-util]
version = "0.3"

[dependencies.rmp-serde]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_bytes]
version = "0.11"

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "macros",
    "rt",
    "time",
]
default-features = false

[dependencies.tokio-stream]
version = "0.1"
features = ["sync"]
default-features = false

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "serde",
]

[dev-dependencies.blazen-events]
version = "0.1.150"

[dev-dependencies.blazen-macros]
version = "0.1.150"

[dev-dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "test-util",
]

[dev-dependencies.tokio-stream]
version = "0.1"
features = ["sync"]

[lints.clippy]
all = "warn"
pedantic = "warn"

[lints.rust]
dead_code = "warn"
unsafe_code = "warn"
